diff --git a/src/main/java/net/minecraft/server/entity/EntityTracker.java b/src/main/java/net/minecraft/server/entity/EntityTracker.java
index 451bcd842..dcd609924 100644
--- a/src/main/java/net/minecraft/server/entity/EntityTracker.java
+++ b/src/main/java/net/minecraft/server/entity/EntityTracker.java
@@ -6,7 +6,7 @@ import net.minecraft.core.net.entity.NetEntityHandler;
 import net.minecraft.core.net.packet.Packet;
 import net.minecraft.core.util.collection.IntHashMap;
 import net.minecraft.server.MinecraftServer;
-import net.minecraft.server.entity.player.ServerPlayer;
+import net.minecraft.server.entity.player.PlayerServer;
 
 import java.util.ArrayList;
 import java.util.HashSet;
@@ -53,9 +53,9 @@ public class EntityTracker {
 
     public void untrackEntity(Entity entity)
     {
-        if(entity instanceof ServerPlayer)
+        if(entity instanceof PlayerServer)
         {
-            ServerPlayer entityplayermp = (ServerPlayer)entity;
+            PlayerServer entityplayermp = (PlayerServer)entity;
             EntityTrackerEntry entitytrackerentry1;
             for(Iterator<EntityTrackerEntry> iterator = trackedEntitySet.iterator(); iterator.hasNext(); entitytrackerentry1.removeFromTrackedPlayers(entityplayermp))
             {
@@ -76,14 +76,14 @@ public class EntityTracker {
         ArrayList<Entity> arraylist = new ArrayList<>();
         for (EntityTrackerEntry entitytrackerentry : trackedEntitySet) {
             entitytrackerentry.tick(mcServer.getDimensionWorld(dimension).players);
-            if (entitytrackerentry.playerEntitiesUpdated && (entitytrackerentry.trackedEntity instanceof ServerPlayer)) {
+            if (entitytrackerentry.playerEntitiesUpdated && (entitytrackerentry.trackedEntity instanceof PlayerServer)) {
                 arraylist.add(entitytrackerentry.trackedEntity);
             }
         }
 label0:
         for(int i = 0; i < arraylist.size(); i++)
         {
-            ServerPlayer entityplayermp = (ServerPlayer)arraylist.get(i);
+            PlayerServer entityplayermp = (PlayerServer)arraylist.get(i);
             Iterator<EntityTrackerEntry> iterator1 = trackedEntitySet.iterator();
             do
             {
@@ -119,7 +119,7 @@ label0:
         }
     }
 
-    public void removeTrackedPlayerSymmetric(ServerPlayer entityplayermp)
+    public void removeTrackedPlayerSymmetric(PlayerServer entityplayermp)
     {
         EntityTrackerEntry entitytrackerentry;
         for(Iterator<EntityTrackerEntry> iterator = trackedEntitySet.iterator(); iterator.hasNext(); entitytrackerentry.removeTrackedPlayerSymmetric(entityplayermp))
diff --git a/src/main/java/net/minecraft/server/entity/EntityTrackerEntry.java b/src/main/java/net/minecraft/server/entity/EntityTrackerEntry.java
index 1edadfeeb..e2ceb9bb4 100644
--- a/src/main/java/net/minecraft/server/entity/EntityTrackerEntry.java
+++ b/src/main/java/net/minecraft/server/entity/EntityTrackerEntry.java
@@ -17,7 +17,7 @@ import net.minecraft.core.net.packet.EntityTagDataPacket;
 import net.minecraft.core.net.packet.SetEquippedItemPacket;
 import net.minecraft.core.util.helper.MathHelper;
 import net.minecraft.core.world.data.SynchedEntityData;
-import net.minecraft.server.entity.player.ServerPlayer;
+import net.minecraft.server.entity.player.PlayerServer;
 
 import java.util.HashSet;
 import java.util.List;
@@ -43,7 +43,7 @@ public class EntityTrackerEntry {
     private final boolean shouldSendMotionUpdates;
     private int ticksSinceLastTeleport;
     public boolean playerEntitiesUpdated;
-    public Set<ServerPlayer> trackedPlayers;
+    public Set<PlayerServer> trackedPlayers;
     public EntityTrackerEntry(Entity entity, int trackingDistance, int packetDelay, boolean shouldSendMotionUpdates) {
         updateCounter = 0;
         ticksSinceLastTeleport = 0;
@@ -150,15 +150,15 @@ public class EntityTrackerEntry {
     }
 
     public void sendPacketToTrackedPlayers(Packet packet) {
-        for (ServerPlayer playerMP : trackedPlayers){
+        for (PlayerServer playerMP : trackedPlayers){
             playerMP.playerNetServerHandler.sendPacket(packet);
         }
     }
 
     public void sendPacketToTrackedPlayersAndTrackedEntity(Packet packet) {
         sendPacketToTrackedPlayers(packet);
-        if(trackedEntity instanceof ServerPlayer) {
-            ((ServerPlayer)trackedEntity).playerNetServerHandler.sendPacket(packet);
+        if(trackedEntity instanceof PlayerServer) {
+            ((PlayerServer)trackedEntity).playerNetServerHandler.sendPacket(packet);
         }
     }
 
@@ -166,11 +166,11 @@ public class EntityTrackerEntry {
         sendPacketToTrackedPlayers(new RemoveEntityPacket(trackedEntity.id));
     }
 
-    public void removeFromTrackedPlayers(ServerPlayer playerMP) {
+    public void removeFromTrackedPlayers(PlayerServer playerMP) {
         trackedPlayers.remove(playerMP);
     }
 
-    public void updatePlayerEntity(ServerPlayer entityplayermp) {
+    public void updatePlayerEntity(PlayerServer entityplayermp) {
         if(entityplayermp == trackedEntity) {
             return;
         }
@@ -208,10 +208,10 @@ public class EntityTrackerEntry {
 
     public void updatePlayerEntities(List<Player> list) {
         for (Player player : list) {
-            updatePlayerEntity((ServerPlayer) player);
+            updatePlayerEntity((PlayerServer) player);
         }
     }
-    public void removeTrackedPlayerSymmetric(ServerPlayer playerMP) {
+    public void removeTrackedPlayerSymmetric(PlayerServer playerMP) {
         if(trackedPlayers.contains(playerMP)) {
             trackedPlayers.remove(playerMP);
             playerMP.playerNetServerHandler.sendPacket(new RemoveEntityPacket(trackedEntity.id));
diff --git a/src/main/java/net/minecraft/server/entity/player/ServerPlayer.java b/src/main/java/net/minecraft/server/entity/player/PlayerServer.java
similarity index 90%
rename from src/main/java/net/minecraft/server/entity/player/ServerPlayer.java
rename to src/main/java/net/minecraft/server/entity/player/PlayerServer.java
index 6c1b5e3c8..eca2e4066 100644
--- a/src/main/java/net/minecraft/server/entity/player/ServerPlayer.java
+++ b/src/main/java/net/minecraft/server/entity/player/PlayerServer.java
@@ -2,12 +2,12 @@ package net.minecraft.server.entity.player;
 
 import net.minecraft.core.achievement.stat.Stat;
 import net.minecraft.core.block.Block;
-import net.minecraft.core.block.PortalBlock;
+import net.minecraft.core.block.BlockPortal;
 import net.minecraft.core.block.entity.*;
 import net.minecraft.core.crafting.ContainerListener;
 import net.minecraft.core.entity.*;
 import net.minecraft.core.entity.player.Player;
-import net.minecraft.core.entity.projectile.ArrowProjectile;
+import net.minecraft.core.entity.projectile.ProjectileArrow;
 import net.minecraft.core.enums.EnumSleepStatus;
 import net.minecraft.core.item.Item;
 import net.minecraft.core.item.IComplexItem;
@@ -23,11 +23,11 @@ import net.minecraft.core.world.IVehicle;
 import net.minecraft.core.world.chunk.Chunk;
 import net.minecraft.core.world.chunk.ChunkSection;
 import net.minecraft.server.entity.EntityTracker;
-import net.minecraft.server.net.handler.ServerPacketHandler;
+import net.minecraft.server.net.handler.PacketHandlerServer;
 import net.minecraft.core.net.packet.*;
 import net.minecraft.server.world.ServerPlayerController;
 import net.minecraft.core.player.gamemode.Gamemode;
-import net.minecraft.core.player.inventory.slot.ResultSlot;
+import net.minecraft.core.player.inventory.slot.SlotResult;
 import net.minecraft.core.util.helper.AES;
 import net.minecraft.core.util.helper.DamageType;
 import net.minecraft.core.util.phys.AABB;
@@ -45,8 +45,8 @@ import java.util.List;
 import java.util.Set;
 import java.util.UUID;
 
-public class ServerPlayer extends Player implements ContainerListener {
-    public ServerPlayer(MinecraftServer minecraftserver, World world, String username, UUID uuid, ServerPlayerController serverPlayerController)
+public class PlayerServer extends Player implements ContainerListener {
+    public PlayerServer(MinecraftServer minecraftserver, World world, String username, UUID uuid, ServerPlayerController serverPlayerController)
     {
         super(world);
         loadedChunks = new LinkedList();
@@ -98,7 +98,7 @@ public class ServerPlayer extends Player implements ContainerListener {
         mcServer.playerList.sendPacketToAllPlayers(new PlayerGamemodePacket(this.id, gamemode.getId()));
         this.gamemode = gamemode;
 
-        InventoryMenu newContainer = gamemode.getContainer(this.inventory, !world.isClientSide);
+        MenuInventory newContainer = gamemode.getContainer(this.inventory, !world.isClientSide);
         if (craftingInventory == inventorySlots)
         {
             craftingInventory = newContainer;
@@ -257,9 +257,9 @@ public class ServerPlayer extends Player implements ContainerListener {
             {
                 return false;
             }
-            if (attacker instanceof ArrowProjectile)
+            if (attacker instanceof ProjectileArrow)
             {
-                ArrowProjectile entityarrow = (ArrowProjectile) attacker;
+                ProjectileArrow entityarrow = (ProjectileArrow) attacker;
                 if (entityarrow.owner instanceof Player)
                 {
                     return false;
@@ -301,7 +301,7 @@ public class ServerPlayer extends Player implements ContainerListener {
 
         if (inPortal)
         {
-            int targetDim = ((PortalBlock) Block.blocksList[portalID]).targetDimension;
+            int targetDim = ((BlockPortal) Block.blocksList[portalID]).targetDimension;
             boolean netherAllowed = mcServer.propertyManager.getBooleanProperty("allow-nether", true);
             boolean paradiseAllowed = mcServer.propertyManager.getBooleanProperty("allow-paradise", false);
             if ((netherAllowed && targetDim == Dimension.NETHER.id) || (paradiseAllowed && targetDim == Dimension.PARADISE.id) || (targetDim != Dimension.NETHER.id && targetDim != Dimension.PARADISE.id))
@@ -376,14 +376,14 @@ public class ServerPlayer extends Player implements ContainerListener {
                     List list = worldserver.getBlockEntitiesWithinBounds(chunkCoord.x * Chunk.CHUNK_SIZE_X, 0, chunkCoord.z * Chunk.CHUNK_SIZE_Z, chunkCoord.x * Chunk.CHUNK_SIZE_X + Chunk.CHUNK_SIZE_X, Chunk.CHUNK_SECTIONS * ChunkSection.SECTION_SIZE_Y, chunkCoord.z * Chunk.CHUNK_SIZE_Z + Chunk.CHUNK_SIZE_Z);
                     for (int j = 0; j < list.size(); j++)
                     {
-                        getTileEntityInfo((BlockEntity) list.get(j));
+                        getTileEntityInfo((TileEntity) list.get(j));
                     }
                 }
             }
         }
     }
 
-    private void getTileEntityInfo(BlockEntity tileentity)
+    private void getTileEntityInfo(TileEntity tileentity)
     {
         if (tileentity != null)
         {
@@ -411,11 +411,11 @@ public class ServerPlayer extends Player implements ContainerListener {
         if (!entity.removed)
         {
             EntityTracker entitytracker = mcServer.getEntityTracker(dimension);
-            if (entity instanceof ItemEntity)
+            if (entity instanceof EntityItem)
             {
                 entitytracker.sendPacketToTrackedPlayers(entity, new TakeItemEntityPacket(entity.id, id));
             }
-            if (entity instanceof ArrowProjectile)
+            if (entity instanceof ProjectileArrow)
             {
                 entitytracker.sendPacketToTrackedPlayers(entity, new TakeItemEntityPacket(entity.id, id));
             }
@@ -482,9 +482,9 @@ public class ServerPlayer extends Player implements ContainerListener {
         super.startRiding(vehicle);
         if (vehicle instanceof Entity) {
             playerNetServerHandler.sendPacket(new SetRidingPacket(this, (Entity) this.vehicle));
-        } else if (vehicle instanceof BlockEntity) {
-            BlockEntity blockEntity = (BlockEntity) vehicle;
-            playerNetServerHandler.sendPacket(new SetRidingPacket(this, blockEntity.x, blockEntity.y, blockEntity.z));
+        } else if (vehicle instanceof TileEntity) {
+            TileEntity tileEntity = (TileEntity) vehicle;
+            playerNetServerHandler.sendPacket(new SetRidingPacket(this, tileEntity.x, tileEntity.y, tileEntity.z));
         }
         playerNetServerHandler.teleport(x, y, z);
     }
@@ -510,7 +510,7 @@ public class ServerPlayer extends Player implements ContainerListener {
         getNextWindowId();
         playerNetServerHandler.sendPacket(new ContainerOpenPacket(currentWindowId, ContainerOpenPacket.TYPE_CRAFTING, "Crafting", 9));
         craftingInventory.onCraftGuiClosed(this);
-        craftingInventory = new CraftingMenu(inventory, world, x, y, z);
+        craftingInventory = new MenuCrafting(inventory, world, x, y, z);
         craftingInventory.containerId = currentWindowId;
         craftingInventory.addSlotListener(this);
     }
@@ -525,19 +525,19 @@ public class ServerPlayer extends Player implements ContainerListener {
 	public void displayContainerScreen(Container container)
     {
         getNextWindowId();
-        ServerPacketHandler.LOGGER.info("{} interacted with chest at ({}, {}, {})", username, x, y, z);
+        PacketHandlerServer.LOGGER.info("{} interacted with chest at ({}, {}, {})", username, x, y, z);
         playerNetServerHandler.sendPacket(new ContainerOpenPacket(currentWindowId, ContainerOpenPacket.TYPE_GENERIC_CONTAINER, container.getName(), container.getContainerSize()));
         craftingInventory.onCraftGuiClosed(this);
-        craftingInventory = new ContainerMenu(inventory, container);
+        craftingInventory = new MenuContainer(inventory, container);
         craftingInventory.containerId = currentWindowId;
         craftingInventory.addSlotListener(this);
     }
 
     @Override
-	public void displayFurnaceScreen(FurnaceBlockEntity blockEntity)
+	public void displayFurnaceScreen(TileEntityFurnace blockEntity)
     {
         getNextWindowId();
-        if (blockEntity instanceof BlastFurnaceBlockEntity)
+        if (blockEntity instanceof TileEntityFurnaceBlastFurnace)
         {
             playerNetServerHandler.sendPacket(new ContainerOpenPacket(currentWindowId, ContainerOpenPacket.TYPE_BLAST_FURNACE, blockEntity.getName(), blockEntity.getContainerSize()));
         }
@@ -546,52 +546,52 @@ public class ServerPlayer extends Player implements ContainerListener {
             playerNetServerHandler.sendPacket(new ContainerOpenPacket(currentWindowId, ContainerOpenPacket.TYPE_FURNACE, blockEntity.getName(), blockEntity.getContainerSize()));
         }
         craftingInventory.onCraftGuiClosed(this);
-        craftingInventory = new FurnaceMenu(inventory, blockEntity);
+        craftingInventory = new MenuFurnace(inventory, blockEntity);
         craftingInventory.containerId = currentWindowId;
         craftingInventory.addSlotListener(this);
     }
 
     @Override
-	public void displayDispenserScreen(DispenserBlockEntity blockEntity)
+	public void displayDispenserScreen(TileEntityDispenser blockEntity)
     {
         getNextWindowId();
         playerNetServerHandler.sendPacket(new ContainerOpenPacket(currentWindowId, ContainerOpenPacket.TYPE_DISPENSER, blockEntity.getName(), blockEntity.getContainerSize()));
         craftingInventory.onCraftGuiClosed(this);
-        craftingInventory = new TrapMenu(inventory, blockEntity);
+        craftingInventory = new MenuTrap(inventory, blockEntity);
         craftingInventory.containerId = currentWindowId;
         craftingInventory.addSlotListener(this);
     }
 
     @Override
-    public void displayActivatorScreen(ActivatorBlockEntity blockEntity)
+    public void displayActivatorScreen(TileEntityActivator blockEntity)
     {
         getNextWindowId();
         playerNetServerHandler.sendPacket(new ContainerOpenPacket(currentWindowId, ContainerOpenPacket.TYPE_ACTIVATOR, blockEntity.getName(), blockEntity.getContainerSize()));
         craftingInventory.onCraftGuiClosed(this);
-        craftingInventory = new ActivatorMenu(inventory, blockEntity);
+        craftingInventory = new MenuActivator(inventory, blockEntity);
         craftingInventory.containerId = currentWindowId;
         craftingInventory.addSlotListener(this);
     }
 
 
     @Override
-	public void displayTrommelScreen(TrommelBlockEntity blockEntity)
+	public void displayTrommelScreen(TileEntityTrommel blockEntity)
     {
         getNextWindowId();
         playerNetServerHandler.sendPacket(new ContainerOpenPacket(currentWindowId, ContainerOpenPacket.TYPE_TROMMEL, blockEntity.getName(), blockEntity.getContainerSize()));
         craftingInventory.onCraftGuiClosed(this);
-        craftingInventory = new TrommelMenu(inventory, blockEntity);
+        craftingInventory = new MenuTrommel(inventory, blockEntity);
         craftingInventory.containerId = currentWindowId;
         craftingInventory.addSlotListener(this);
     }
 
     @Override
-    public void displayFlagEditorScreen(FlagBlockEntity blockEntity)
+    public void displayFlagEditorScreen(TileEntityFlag blockEntity)
     {
         getNextWindowId();
         playerNetServerHandler.sendPacket(new FlagOpenPacket(currentWindowId, blockEntity.x, blockEntity.y, blockEntity.z));
         craftingInventory.onCraftGuiClosed(this);
-        craftingInventory = new FlagMenu(inventory, blockEntity);
+        craftingInventory = new MenuFlag(inventory, blockEntity);
         craftingInventory.containerId = currentWindowId;
         craftingInventory.addSlotListener(this);
     }
@@ -601,15 +601,15 @@ public class ServerPlayer extends Player implements ContainerListener {
         getNextWindowId();
 
         craftingInventory.onCraftGuiClosed(this);
-        craftingInventory = new GuidebookMenu();
+        craftingInventory = new MenuGuidebook();
         craftingInventory.containerId = currentWindowId;
         craftingInventory.addSlotListener(this);
     }
 
     @Override
-	public void updateInventorySlot(AbstractContainerMenu container, int i, ItemStack itemstack)
+	public void updateInventorySlot(MenuAbstract container, int i, ItemStack itemstack)
     {
-        if (container.getSlot(i) instanceof ResultSlot)
+        if (container.getSlot(i) instanceof SlotResult)
         {
             return;
         }
@@ -627,13 +627,13 @@ public class ServerPlayer extends Player implements ContainerListener {
         }
     }
 
-    public void initializeCraftingInventory(AbstractContainerMenu container)
+    public void initializeCraftingInventory(MenuAbstract container)
     {
         updateCraftingInventory(container, container.getSlotStackList());
     }
 
     @Override
-	public void updateCraftingInventory(AbstractContainerMenu container, List<ItemStack> list)
+	public void updateCraftingInventory(MenuAbstract container, List<ItemStack> list)
     {
 
         //playernetserverhandler returning false?
@@ -645,7 +645,7 @@ public class ServerPlayer extends Player implements ContainerListener {
     }
 
     @Override
-	public void updateCraftingInventoryInfo(AbstractContainerMenu container, int id, int value)
+	public void updateCraftingInventoryInfo(MenuAbstract container, int id, int value)
     {
         playerNetServerHandler.sendPacket(new ContainerSetDataPacket(container.containerId, id, value));
     }
@@ -768,7 +768,7 @@ public class ServerPlayer extends Player implements ContainerListener {
     }
 
 
-    public ServerPacketHandler playerNetServerHandler;
+    public PacketHandlerServer playerNetServerHandler;
     public MinecraftServer mcServer;
     public ServerPlayerController playerController;
 
diff --git a/src/main/java/net/minecraft/server/net/NetworkListenThread.java b/src/main/java/net/minecraft/server/net/NetworkListenThread.java
index 27157a2c9..ee12f199c 100644
--- a/src/main/java/net/minecraft/server/net/NetworkListenThread.java
+++ b/src/main/java/net/minecraft/server/net/NetworkListenThread.java
@@ -8,14 +8,14 @@ import java.util.ArrayList;
 
 
 import com.mojang.logging.LogUtils;
-import net.minecraft.server.net.handler.LoginPacketHandler;
-import net.minecraft.server.net.handler.ServerPacketHandler;
+import net.minecraft.server.net.handler.PacketHandlerLogin;
+import net.minecraft.server.net.handler.PacketHandlerServer;
 import net.minecraft.server.MinecraftServer;
 import org.slf4j.Logger;
 
 
 // Referenced classes of package net.minecraft.src:
-//            NetworkAcceptThread, LoginPacketHandler, NetworkManager, ServerPacketHandler
+//            NetworkAcceptThread, PacketHandlerLogin, NetworkManager, PacketHandlerServer
 
 public class NetworkListenThread
 {
@@ -24,8 +24,8 @@ public class NetworkListenThread
     private final Thread networkAcceptThread;
     public volatile boolean isListening;
     private int connectionCounter;
-    private final ArrayList<LoginPacketHandler> pendingConnections;
-    private final ArrayList<ServerPacketHandler> playerList;
+    private final ArrayList<PacketHandlerLogin> pendingConnections;
+    private final ArrayList<PacketHandlerServer> playerList;
     public MinecraftServer mcServer;
 
     public NetworkListenThread(MinecraftServer minecraftserver, InetAddress address, int i)
@@ -44,7 +44,7 @@ public class NetworkListenThread
                 try {
                     Socket socket = serverSocket.accept();
                     if (socket != null) {
-                        LoginPacketHandler loginHandler = new LoginPacketHandler(mcServer, socket, "Connection #" + connectionCounter++);
+                        PacketHandlerLogin loginHandler = new PacketHandlerLogin(mcServer, socket, "Connection #" + connectionCounter++);
                         addPendingConnection(loginHandler);
                     }
                 } catch (IOException ioexception) {
@@ -55,12 +55,12 @@ public class NetworkListenThread
         networkAcceptThread.start();
     }
 
-    public void addPlayer(ServerPacketHandler netserverhandler)
+    public void addPlayer(PacketHandlerServer netserverhandler)
     {
         playerList.add(netserverhandler);
     }
 
-    private void addPendingConnection(LoginPacketHandler netloginhandler)
+    private void addPendingConnection(PacketHandlerLogin netloginhandler)
     {
         if(netloginhandler == null)
         {
@@ -76,7 +76,7 @@ public class NetworkListenThread
     {
         for(int i = 0; i < pendingConnections.size(); i++)
         {
-            LoginPacketHandler netloginhandler = pendingConnections.get(i);
+            PacketHandlerLogin netloginhandler = pendingConnections.get(i);
             try
             {
                 netloginhandler.tryLogin();
@@ -95,21 +95,21 @@ public class NetworkListenThread
 
         for(int j = 0; j < playerList.size(); j++)
         {
-            ServerPacketHandler serverPacketHandler = playerList.get(j);
+            PacketHandlerServer packetHandlerServer = playerList.get(j);
             try
             {
-                serverPacketHandler.handlePackets();
+                packetHandlerServer.handlePackets();
             }
             catch(Exception exception1)
             {
                 LOGGER.warn("Failed to handle packet: {}", exception1, exception1);
-                serverPacketHandler.kickPlayer("Internal server error");
+                packetHandlerServer.kickPlayer("Internal server error");
             }
-            if(serverPacketHandler.connectionClosed)
+            if(packetHandlerServer.connectionClosed)
             {
                 playerList.remove(j--);
             }
-            serverPacketHandler.netManager.wakeThreads();
+            packetHandlerServer.netManager.wakeThreads();
         }
 
     }
